Zabbix Documentation 4.4

3.04.04.45.0 (current)| In development:5.2 (devel)| Unsupported:1.82.02.22.43.23.44.2Guidelines

User Tools

Site Tools


Sidebar

ru:manual:installation:upgrade:packages:debian_ubuntu

2 Debian/Ubuntu

Overview

Этот раздел описывает требуемые шаги для успешного обновления с Zabbix 4.2.x до Zabbix 4.4.x с использованием официальных пакетов Zabbix для Debian/Ubuntu.

В то время как обновление Zabbix агентов не является обязательным шагом (но рекомендуемым), Zabbix сервер и прокси должны быть одной мажорной версии. Поэтому, при наличии сервер-прокси инсталляции, Zabbix сервер и все прокси должны быть остановлены и обновлены. Оставление прокси запущенными в процессе обновления сервера более не принесёт никакой пользы, так как в процессе обновления прокси их старые данные будут отброшены и новые данные не будут собираться пока конфигурация прокси не будет синхронизирована с сервером.

Обратите внимание, что при наличии прокси с SQLite базой данных, данные истории этих прокси будут потеряны до обновления, так как обновление файла базы данных SQLite не поддерживется и этот файл необходимо удалить вручную. Когда прокси запускается в первый раз и будет отсутствовать файл базы данных SQLite, прокси создаст его автоматически.

В зависимости от размера базы данных обновление базы данных до версии 4.4 может занять продолжительное время.

Перед выполнением обновления убедитесь что прочитали все соответствующие заметки по обновлению!

Доступны следующие заметки по обновлению:

Обновление сПрочитайте заметки по обновлению полностьюВажные заметки/изменения между версиями
4.2.x Для:
Zabbix 4.4
Удалены способы оповещения Jabber, Ez Texting.
4.0.x LTS Для:
Zabbix 4.2
Zabbix 4.4
Более старые прокси более не могут передавать данные на обновленный сервер;
Более новые агенты более не могут работать с более старым Zabbix сервером
3.4.x Для:
Zabbix 4.0
Zabbix 4.2
Zabbix 4.4
Библиотеки 'libpthread' и 'zlib' теперь обязательны;
Поддержка протокола в виде простого текста убрана и заголовок обязателен;
Zabbix агенты версий Pre-1.4 более не поддерживаются;
Параметр Server в конфигурации пассивного прокси теперь обязателен
3.2.x Для:
Zabbix 3.4
Zabbix 4.0
Zabbix 4.2
Zabbix 4.4
Поддержка SQLite в виде основной базы данных убрана для Zabbix сервера/веб-интерфейса;
Поддерживается Perl совместимые регулярные выражения (PCRE) вместо POSIX расширенных;
Библиотеки 'libpcre' and 'libevent' обязательны для Zabbix сервера;
Добавлены проверки кода выхода для пользовательских параметров, удаленных команд и элементов данных system.run[] без 'nowait' флага, а также для выполняемых скриптов Zabbix сервером;
Zabbix Java gateway необходимо обновить для поддержки новых функций
3.0.x LTS Для:
Zabbix 3.2
Zabbix 3.4
Zabbix 4.0
Zabbix 4.2
Zabbix 4.4
Обновление базы данных может быть медленным, в зависимости от размеров таблиц истории

Вы возможно захотите также проверить требования для 4.4.

Возможно удобно запустить две параллельные SSH сессии на время обновления, выполняя шаги обновления в одной сессии и наблюдая за файлами журналов сервера/прокси в другой. Например, при выполнении tail -f zabbix_server.log или tail -f zabbix_proxy.log во второй SSH сессии будут отображаться последние записи из файла журнала и возможные ошибки в режиме реального времени. Такой подход может быть критичным на продуктивных серверах.

Процесс обновления

1 Остановите Zabbix процессы

Остановите Zabbix сервер, чтобы быть уверенными, что в базу данных не будет происходить запись новых данных.

# service zabbix-server stop

При обновлении прокси, остановите также и его.

# service zabbix-proxy stop
Более невозможно запустить обновленный сервер и более старые, не обновленные прокси, которые бы отправляли данные на более новый сервер. Такой подход, который никогда не рекомендовался и не поддерживался в Zabbix, теперь официально отключён при обновлении до 4.4 (и более новых версий) с любой версии до 4.4, так как сервер будет игнорировать данные с не обновленных прокси.
2 Сделайте архивную копию существующей базы данных Zabbix

Этот шаг очень важен. Убедитесь, что у вас есть архивная копия вашей базы данных. Это поможет, если процедура обновления закончится неудачно (отсутствие свободного места на диске, выключение питания, любая неожиданная проблема).

3 Резервное копирование файлов конфигурации, PHP файлов и бинарных файлов Zabbix

Выполните резервное копирование бинарных файлов Zabbix, файлов конфигурации и папки с PHP файлами.

Файлы конфигурации:

# mkdir /opt/zabbix-backup/
# cp /etc/zabbix/zabbix_server.conf /opt/zabbix-backup/
# cp /etc/apache2/conf-enabled/zabbix.conf /opt/zabbix-backup/

Файлы PHP и бинарные файлы Zabbix:

# cp -R /usr/share/zabbix/ /opt/zabbix-backup/
# cp -R /usr/share/doc/zabbix-* /opt/zabbix-backup/
4 Обновите пакет конфигурации репозитория

Чтобы продолжить обновление, необходимо удалить пакет текущий репозитория.

# rm -Rf /etc/apt/sources.list.d/zabbix.list

Затем установить пакет нового репозитория.

Для Debian 9 выполните:

# wget https://repo.zabbix.com/zabbix/4.4/debian/pool/main/z/zabbix-release/zabbix-release_4.4-1+stretch_all.deb
# dpkg -i zabbix-release_4.4-1+stretch_all.deb

Для Debian 8 выполните:

# wget https://repo.zabbix.com/zabbix/4.4/debian/pool/main/z/zabbix-release/zabbix-release_4.4-1+jessie_all.deb
# dpkg -i zabbix-release_4.4-1+jessie_all.deb

Для Ubuntu 18.04 выполните:

# wget https://repo.zabbix.com/zabbix/4.4/ubuntu/pool/main/z/zabbix-release/zabbix-release_4.4-1+bionic_all.deb
# dpkg -i zabbix-release_4.4-1+bionic_all.deb

Для Ubuntu 16.04 выполните:

# wget https://repo.zabbix.com/zabbix/4.4/ubuntu/pool/main/z/zabbix-release/zabbix-release_4.4-1+xenial_all.deb
# dpkg -i zabbix-release_4.4-1+xenial_all.deb

Для Ubuntu 14.04 выполните:

# wget https://repo.zabbix.com/zabbix/4.4/ubuntu/pool/main/z/zabbix-release/zabbix-release_4.4-1+trusty_all.deb
# dpkg -i zabbix-release_4.4-1+trusty_all.deb

Обновите информацию о репозитории.

# apt-get update
5 Обновите компоненты Zabbix

Для обновления компонентов Zabbix вы можете выполнить что-то вроде:

# apt-get install --only-upgrade zabbix-server-mysql zabbix-frontend-php zabbix-agent

Если используете PostgreSQL, в команде замените mysql на pgsql. Если обновляете прокси, в команде замените server на proxy.

Затем, чтобы обновить веб-интерфейс с Apache должным образом, также выполните:

# apt-get install zabbix-apache-conf
6 Просмотрите параметры конфигурации компонент

Для получения более подробных сведений смотрите заметки по обновлению на предмет обязательных изменений.

Для ознакомления с новыми необязательными параметрами, пожалуйста, смотрите раздел Что нового.

7 Запустите процессы Zabbix

Запустите обновленные компоненты Zabbix.

# service zabbix-server start
# service zabbix-proxy start
# service zabbix-agent start
8 Очистите cookies и кэш в веб-браузере

После обновления вам, возможно, потребуется очистить cookies веб-браузера и кэш веб-браузера, чтобы Zabbix веб-интерфейс работал правильно.

Обновление между минорными версиями

Имеется возможность обновления между минорными версиями 4.4.x (например, с 4.4.1 на 4.4.3). Процедура очень проста.

Для минорного обновления Zabbix, пожалуйста, выполните:

$ sudo apt install --only-upgrade 'zabbix.*'

Для обновления минорной версии Zabbix сервера, пожалуйста, выполните:

$ sudo apt install --only-upgrade 'zabbix-server.*'

Для обновления минорной версии Zabbix агента, пожалуйста, выполните:

$ sudo apt install --only-upgrade 'zabbix-agent.*'